Page MenuHomePhabricator

[LLD][ELF] Add lld --time-trace to man page and release notes
ClosedPublic

Authored by russell.gallop on May 12 2020, 6:34 AM.

Details

Summary

Follow on from: https://reviews.llvm.org/D71060

This adds the new options to the lld man page and release notes.

Diff Detail

Event Timeline

russell.gallop created this revision.May 12 2020, 6:34 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 12 2020, 6:34 AM
ruiu accepted this revision.May 13 2020, 11:00 PM

LGTM

This revision is now accepted and ready to land.May 13 2020, 11:00 PM
MaskRay added inline comments.May 13 2020, 11:27 PM
lld/docs/ReleaseNotes.rst
27

--time-trace

Also, the feature was added in the last release. It is not correct to mention it for LLD 11.

Change to double dashes.

Note that there are a few places in the the man page that will also need to be updated (e.g. --thinlto-*).

russell.gallop marked 2 inline comments as done.May 14 2020, 2:16 AM
russell.gallop added inline comments.
lld/docs/ReleaseNotes.rst
27

--time-trace

Thanks for pointing that out.

Also, the feature was added in the last release. It is not correct to mention it for LLD 11.

That would be a surprise to me. I can't see an equivalent of e7cb374433095219069ef767f70c0c9159a65b7c in release/10.x.

Please can you let me know why you think that this was in the last release?

Thanks

MaskRay requested changes to this revision.May 14 2020, 8:43 AM
MaskRay added inline comments.
lld/docs/ReleaseNotes.rst
27

I somehow thought --time-trace was included in release/10.x. It turns out it is not. Adding it for 11 release notes seem good.

lld/docs/ld.lld.1
535

-- to -

Fl carries a dash by itself.

You can read the man page with man docs/ld.lld.1

This revision now requires changes to proceed.May 14 2020, 8:43 AM
russell.gallop marked an inline comment as done.

Removed excess dashes in man page. Checked with:

man -l ld.lld.1
russell.gallop marked an inline comment as done.May 14 2020, 9:30 AM
MaskRay accepted this revision.May 14 2020, 10:31 AM

Thanks!

This revision is now accepted and ready to land.May 14 2020, 10:31 AM
MaskRay retitled this revision from [LLD][ELF] Add lld -time-trace to man page and release notes to [LLD][ELF] Add lld --time-trace to man page and release notes.May 14 2020, 10:24 PM
This revision was automatically updated to reflect the committed changes.